View Issue Details

IDProjectCategoryView StatusLast Update
14524Bug reports[All Projects] Survey takingpublic2019-04-30 09:11
ReporterDenisChenuAssigned ToDenisChenu 
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.15.x 
Target VersionFixed in Version3.15.x 
Summary14524: bFixNumAuto not taken in account
Description

Since https://github.com/LimeSurvey/LimeSurvey/commit/b57e0e57c4c52aab91ef647b5a08b2ab55fa4292 even with bFixNumAuto to 0 : carcaters is removed.

Steps To Reproduce

Set

        'bFixNumAuto' => 0,
        'bNumRealValue' => 1,

in config.

Compare

Additional Information

Since it's in javascript var : easy to fix in template. I add it in Vanilla after.

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.15.8 github
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionnot relevant
Server OS (if known)not relevant
Webserver software & version (if known)not relevantn
PHP Versionnot relevant

Relationships

related to 14519 closeddominikvitt Letters do not get automatically deleted any longer in only numbers fields 

Activities

DenisChenu

DenisChenu

2019-02-13 19:19

developer   ~50551

https://github.com/LimeSurvey/LimeSurvey/commit/9df520040242dfd87469018d1021bf6e1c4843ba

DenisChenu

DenisChenu

2019-02-14 18:08

developer   ~50560

I{m really angry : i follow my issue every time, trying to fix mine and have discussion …
But remove fix like this …

ollehar

ollehar

2019-02-14 18:17

administrator   ~50561

@DenisChenu, where's the manual page for bFixNumAuto and bNumRealValue?

DenisChenu

DenisChenu

2019-02-14 23:47

developer   ~50562

Oups …none … i update it tomorrow if my commit is still there …https://github.com/LimeSurvey/LimeSurvey/commit/1ba308d1230bf82bbd9dca31b4913b880aec6ae7

Issue History

Date Modified Username Field Change
2019-02-13 19:13 DenisChenu New Issue
2019-02-13 19:13 DenisChenu Status new => assigned
2019-02-13 19:13 DenisChenu Assigned To => DenisChenu
2019-02-13 19:19 DenisChenu Note Added: 50551
2019-02-13 19:19 DenisChenu Relationship added related to 14519
2019-02-13 19:19 DenisChenu Status assigned => resolved
2019-02-13 19:19 DenisChenu Resolution open => fixed
2019-02-13 19:19 DenisChenu Fixed in Version => 3.15.x
2019-02-14 18:07 DenisChenu Assigned To DenisChenu => ollehar
2019-02-14 18:07 DenisChenu Status resolved => new
2019-02-14 18:07 DenisChenu Resolution fixed => reopened
2019-02-14 18:08 DenisChenu Note Added: 50560
2019-02-14 18:17 ollehar Note Added: 50561
2019-02-14 23:47 DenisChenu Note Added: 50562
2019-02-14 23:47 DenisChenu Assigned To ollehar => DenisChenu
2019-02-14 23:47 DenisChenu Status new => resolved
2019-02-14 23:47 DenisChenu Resolution reopened => fixed
2019-04-30 09:11 c_schmitz Status resolved => closed